import '../../../../core/errors/result.dart';
import '../../domain/entities/user.dart';
import '../models/auth_response.dart';

abstract class AuthRemoteDataSource {
  Future<Result<AuthResponse>> login(String username, String password);
  Future<Result<AuthResponse>> register(String username, String password, String name);
  Future<Result<void>> logout();
  Future<Result<User>> getCurrentUser();
  Future<Result<void>> refreshToken();
}
